API ReferenceCredential types
Create credential type
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREDENTIAL_CREATE_STARTECOSYSTEM_CREDENTIAL_CREATE_SUCCESSECOSYSTEM_CREDENTIAL_CREATE_FAIL
POST
/v1/ecosystems/{ecosystemId}/credentialsCreates a new credential type in the requested ecosystem.
Analytic events
- ECOSYSTEM_CREDENTIAL_CREATE_START
- ECOSYSTEM_CREDENTIAL_CREATE_SUCCESS
- ECOSYSTEM_CREDENTIAL_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidRequest Body
application/json
profile*string
Value in
"compact" | "compact-semantic" | "web-semantic"type*string
name*string
The name of the credential
Length
1 <= length <= 50Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/credentials" \ -H "Content-Type: application/json" \ -d '{ "profile": "compact", "type": "DriverLicense", "name": "Driver\'s License" }'{
"id": "599bf148-d711-405a-a20b-9c8a87ac8850",
"ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"profile": "compact",
"type": "DriverLicense",
"name": "Driver's License"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Empty
How would you rate this page?
Delete participant DELETE
Deletes a participant in the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_DELETE_START * ECOSYSTEM_PARTICIPANT_DELETE_SUCCESS * ECOSYSTEM_PARTICIPANT_DELETE_FAIL
Retrieve credential types GET
Retrieves a list of credential types from the requested ecosystem. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_START * ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_FAIL